﻿var tipHeaderStyle = 'font-family:Verdana; font-size:10pt; font-weight:bold; color:#345092;'
var pageRequestManager = Sys.WebForms.PageRequestManager.getInstance();

pageRequestManager.add_beginRequest(beginRequest);
pageRequestManager.add_endRequest(endRequest);


function beginRequest(sender, args)
{
    for (i = 0; i < document.forms[0].elements.length; i++)
        document.forms[0].elements[i].disabled = true;
}

function endRequest(sender, args) {

    if (args.get_error() != undefined) {
        document.getElementById("pnError").style.display = 'block';
        var errorMessage;
        var errorCode = args.get_response().get_statusCode();
        if (errorCode == '200') errorMessage = args.get_error().message;
        else errorMessage = 'An unspecified error occurred: ' + args.get_error().message;
        args.set_errorHandled(true);
        document.getElementById("pnError").innerHTML =
            "<b><span style='color:#800000;'>Error: </span></b>"
            + errorMessage.substr(errorMessage.indexOf("<b>"));
        //if (errorCode == '500') window.location.reload(true);
    }
    else {
        if (typeof (demoMode) == "undefined")
            document.getElementById("pnError").style.display = 'none';
    }
    
    for (i = 0; i < document.forms[0].elements.length; i++)
        document.forms[0].elements[i].disabled = false;

    if (typeof (demoMode) != "undefined") {
        if (document.getElementById("btnSaveSettings") != null)
            document.getElementById("btnSaveSettings").disabled = true;
        if (document.getElementById("ddlAuthMode") != null)
            document.getElementById("ddlAuthMode").disabled = true;
    }
}

function showErrorMessage(message)
{
    document.getElementById("pnError").style.display = 'block';
    document.getElementById("pnError").innerHTML =
            "<b><span style='color:#800000;'>" + message + "</span></b>";
}

function selectCheckBoxes(gridViewId, checkBoxId) {
    var grid = document.getElementById(gridViewId);
    var cell;
    if (grid.rows.length > 0) {
        for (i = 1; i < grid.rows.length; i++) {
            cell = grid.rows[i].cells[0];
            for (j = 0; j < cell.childNodes.length; j++) {                
                if (cell.childNodes[j].type == "checkbox") {
                    cell.childNodes[j].checked = document.getElementById(checkBoxId).checked;
                }
            }
        }
    }
}

function openFtpFolder(ftpUrl) {
    var ftpWindow;
    try {
        ftpWindow = window.open(ftpUrl);
    }
    catch (e) { }
    if (!ftpWindow) alert("Unable to open FTP directory window. Most likely you have a pop-up blocker.");
}
